---
title: HTMLVideoElement.msHorizontalMirror
slug: Web/API/HTMLVideoElement/msHorizontalMirror
tags:
  - API
  - 'API:Microsoft Extensions'
  - Non-standard
  - Property
  - Reference
  - msHorizontalMirror
---
<div>{{APIRef("DOM")}}{{Non-standard_Header}}</div>

<p><code><strong>msHorizontalMirror</strong></code> is a read/write property which gets or sets whether a <a href="/en-US/docs/Web/HTML/Element/video">video </a>element is flipped horizontally in the display.</p>

<p>This proprietary property is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLVideoElement</em>.msHorizontalMirror: {{JSxRef("Boolean", "boolean")}};
</pre>

<h2 id="Value">Value</h2>

<p>Boolean value set to <em>true</em> flips the video playback horizontally.</p>

<p>Video perspective is flipped on a horizontal axis - this may be useful for playback of a webcam video, providing the user with better mirroring of their real behaviors (ie. when user moves left, their representation on-screen would move left as well).</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">       var myVideo = document.getElementById("videoTag1");
       myVideo.msHorizontalMirror = true;
       myVideo.play();
</pre>

<p>Example #2:</p>

<pre class="brush: js">    var flip = document.querySelector('#flip');
    flip.addEventListener('click', function() {
      video.msHorizontalMirror = true;
    });
</pre>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLVideoElement")}}</li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
